Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class BasicNodeSet

    java.lang.Object
      org.apache.commons.jxpath.BasicNodeSet

All Implemented Interfaces:
  NodeSet

    public class BasicNodeSet

extends Object
implements NodeSet

A simple implementation of `NodeSet` that behaves as a collection of pointers.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`BasicNodeSet()`

Method Summary
`void` | `add(NodeSet nodeSet)` Add the specified NodeSet to this NodeSet.
`void` | `add(Pointer pointer)` Add a pointer to this NodeSet.
`List` | `getNodes()` Returns a list of nodes.
`List` | `getPointers()` Returns a list of pointers for all nodes in the set.
`List` | `getValues()` Returns a list of values of all contained pointers.
`void` | `remove(Pointer pointer)` Remove a pointer from this NodeSet.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicNodeSet

    public BasicNodeSet()

Method Detail

### add

    public void add(Pointer pointer)

  Add a pointer to this NodeSet.

  Parameters:
    `pointer` - to add

### add

    public void add(NodeSet nodeSet)

  Add the specified NodeSet to this NodeSet.

  Parameters:
    `nodeSet` - to add

### remove

    public void remove(Pointer pointer)

  Remove a pointer from this NodeSet.

  Parameters:
    `pointer` - to remove

### getPointers

    public List getPointers()

  Description copied from interface: `NodeSet`
  Returns a list of pointers for all nodes in the set.

  Specified by:
    `getPointers` in interface `NodeSet`
  Returns:
    List

### getNodes

    public List getNodes()

  Description copied from interface: `NodeSet`
  Returns a list of nodes.

  Specified by:
    `getNodes` in interface `NodeSet`
  Returns:
    List

### getValues

    public List getValues()

  Description copied from interface: `NodeSet`
  Returns a list of values of all contained pointers.

  Specified by:
    `getValues` in interface `NodeSet`
  Returns:
    List

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.